Bug 10002 - shadow(5) and usermod(8) lie about sp_inact
shadow(5) and usermod(8) lie about sp_inact
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-06 01:24 EST by Todd C. Miller
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-06 01:24:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd C. Miller 2000-03-06 01:24:51 EST
The description of sp_inact in shadow(5) and usermod(8) does not match the
behavior of Linux-PAM.  In the pam_unix module, sp_inact is used in
conjunction with sp_max to check whether or not a user's account should be
treated as expired.  The documentation, however, indicates that sp_inact is
used in conjunction with sp_expire which is not the case.  Knowing what
that field does by source inspection I suppose I can see how what is in the
man page *might* be interpreted as the real behavior, but it is a stretch.
It is worth noting that Solaris (and other SVR4-based systems) use sp_inact
for something completely different, but that's really a separate issue.
Comment 1 Bernhard Rosenkraenzer 2000-10-05 08:39:01 EDT
Fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.